# Logging
#
# Copyright 2006-2007 Novell, Inc.
# Author: Charles Coffing <ccoffing@novell.com>
#
# This software may be freely redistributed under the terms of the GNU
# general public license.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA 

import logging
import sys

log = logging.getLogger('vminstall')

def init_log(debug=False, filename=None):
    if debug:
        level = logging.DEBUG
    else:
        level = logging.WARNING
    if filename:
        format = "%(asctime)s %(levelname)-8s %(message)s"
    else:
        format = "%(levelname)-8s %(message)s"
    if filename:
        logging.basicConfig(level=level, format=format, filename=filename)
    else:
        logging.basicConfig(level=level, format=format, stream=sys.stderr)
